  /* ----------------------------------------document reset---------------------------------------- */

* {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    width: 100%;
    font-family: "Poppins", sans-serif;
    vertical-align: baseline;
    background: transparent;
  }
  
  /* 1. Box sizing rules */
  *,
  *::before,
  *::after {
    box-sizing: border-box;
  }
  
  /* 2. Remove default margin */
  body,
  h1,
  h2,
  h3,
  h4,
  p,
  figure,
  blockquote,
  dl,
  dd {
    margin: 0;
  }
  
  /* 3. Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
  ul[role='list'],
  ol[role='list'] {
    list-style: none;
  }
  
  /* 4. Set core root defaults */
  html:focus-within {
    scroll-behavior: smooth;
  }
  
  /* 5. Set core body defaults */
  body {
    min-height: 100vh;
    max-width: 100%;
    text-rendering: optimizeSpeed;
    line-height: 1.5;
    margin: 0px;
  }
  
  /* 6. A elements that don't have a class get default styles */
  a:not([class]) {
    text-decoration-skip-ink: auto;
  }
  
  /* 7. Make images easier to work with */
  img,
  picture {
    max-width: 100%;
    display: block; 
  }
  
  /* 8. Inherit fonts for inputs and buttons */
  input,
  button,
  textarea,
  select {
    font: inherit;
  }
  
  /* 9. Remove all animations, transitions and smooth scroll for people that prefer not to see them */
  @media (prefers-reduced-motion: reduce) {
    html:focus-within {
        scroll-behavior: auto;
    }
  
    *,
    *::before,
    *::after {
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
    }

  }

  /* ----------------------------------------general---------------------------------------- */

  :root {
    --primary-color: #F07A5D;
    --background-color: #93D5DE;
    --text-color: #373737;
    --link-color: black;
  }

h1 {
  color: var(--primary-color);
  font-size: 6rem; /* 80px */
  font-weight: 800;
  letter-spacing: 0.2rem;
  line-height: 1;
  margin-bottom: 2rem;
  word-wrap: break-word;
  -webkit-text-fill-color: var(--primary-color); /* will override color (regardless of order) */
  -webkit-text-stroke-width: 0.2rem; 
  -webkit-text-stroke-color: white;
}

h2 {
  color: var(--primary-color);
  font-size: 5.5rem; 
  font-weight: 700;
  letter-spacing: 0.12rem;
  line-height: 1.1;
  margin-bottom: 2rem;
  word-wrap: break-word;
  -webkit-text-fill-color: var(--primary-color); /* will override color (regardless of order) */
  -webkit-text-stroke-width: 0.23rem; 
  -webkit-text-stroke-color: white;
}

.font-menu-standard {
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 2;
  letter-spacing: 0;
}

a {
  text-decoration: none;
}

a:link {
  color: var(--text-color);
}

a:visited {
  color: var(--text-color);
}

ul, li {
  list-style: none;
}

.container {
  width: 100%;
  max-width: 100%;
  margin: 0 auto; /* Center the container horizontally */
  box-sizing: border-box; /* Include padding and border in the element's total width and height */
  overflow-x: hidden;
}

/* remove the blue highlight while clicking a link on a cell phone */

input, textarea, button, select, a {
  -webkit-tap-highlight-color: transparent;
}

* {
  -webkit-tap-highlight-color: transparent;
}

 /* ----------------------------------------import all the fonts from my webserver---------------------------------------- */

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Black.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-BlackItalic.ttf') format('truetype');
  font-weight: 900;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-BoldItalic.ttf') format('truetype');
  font-weight: 700;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-ExtraBold.ttf') format('truetype');
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-ExtraBoldItalic.ttf') format('truetype');
  font-weight: 800;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-ExtraLight.ttf') format('truetype');
  font-weight: 200;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-ExtraLightItalic.ttf') format('truetype');
  font-weight: 200;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Italic.ttf') format('truetype');
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-LightItalic.ttf') format('truetype');
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-MediumItalic.ttf') format('truetype');
  font-weight: 500;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-SemiBoldItalic.ttf') format('truetype');
  font-weight: 600;
  font-style: italic;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Thin.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-ThinItalic.ttf') format('truetype');
  font-weight: 100;
  font-style: italic;
}

 /* ----------------------------------------optimizing the fonts---------------------------------------- */


p {
  -moz-font-feature-settings:    "kern" 1; 
  -ms-font-feature-settings:     "kern" 1; 
  -o-font-feature-settings:      "kern" 1; 
  -webkit-font-feature-settings: "kern" 1; 
  font-feature-settings:         "kern" 1;
  font-kerning: normal;
  letter-spacing: 0.015em;
  word-spacing: 0.001em;
  -webkit-font-smoothing: antialiased; /* Chrome, Safari */
  -moz-osx-font-smoothing: grayscale; /* Firefox */
  text-rendering: optimizeLegibility;

}

 /* ----------------------------------------index.html---------------------------------------- */

#index-body {
  overflow-y: hidden;
}

 #index-div {
  align-items: center;
  justify-content: center;
  height: 100vh;
  /* background-image: url('img/doerigmedien_logo_rgb_v2.svg'); */
  /* background-image: url('test/doerigmedien_logo_rgb_v2.svg');      the "test" folder requires an authorization first so the image won't load */
  /*background-image: url('.gitignore/cyklingkultur-farbig-matched_2000px-01.jpg');*/
  background-size: cover; 
  background-position: center;
  overflow-x: hidden;
  margin-top: 5%;
 }

#logo-div {
  display: flex;
  justify-content: center;
  text-align: center;
}

#logo-img {
  width: 30%;
}

#button-div {
  display: flex;
  padding-left: 10%;
  padding-right: 10%;
}

.portfolio-button {
  background-color: #373737;
  color: white;
  font-size: 1rem;
  margin: 0.5rem;
  padding: 1rem;
  border-radius: 0.5rem;
  cursor: pointer;
  width: 30%;
  transition: background-color 0.2s, color 0.2s; 
}

/*
.portfolio-button:hover {
  background-color: #FFA19C; 
  color: black;
  transition: background-color 0.3s;
}
*/
/* ----------------------------------------make it responsive please---------------------------------------- */
   
@media(max-width: 1400px) {    

}


/*  --------  */

@media(max-width: 1000px) {     

#index-div {
  margin-top: 10%;
}

.portfolio-button {
  font-size: 0.8rem;
}  

}


/*  --------  */

@media(max-width: 500px) {    

#logo-img {
  width: 50%;
}

#button-div {
  flex-direction: column; /* Stack buttons vertically */
  align-items: center; /* Center buttons horizontally */
}

.portfolio-button {
  width: 70%; 
  margin: 0.75rem 0; 
  font-size: 1rem;
}


/*  --------  */

@media(max-width: 350px) {   

}

}